package com.bonus.core.account.v3.web.vo;

import java.math.BigDecimal;
import java.time.LocalDateTime;

public class AccWalletInfoVO {
   private Long custId;
   private Long accId;
   private Integer walletId;
   private BigDecimal walletBal;
   private BigDecimal limitBalance;
   private BigDecimal frozenBalance;
   private BigDecimal lastSubsidyAmount;
   private LocalDateTime lastSubsidyTime;

   public Long getCustId() {
      return this.custId;
   }

   public Long getAccId() {
      return this.accId;
   }

   public Integer getWalletId() {
      return this.walletId;
   }

   public BigDecimal getWalletBal() {
      return this.walletBal;
   }

   public BigDecimal getLimitBalance() {
      return this.limitBalance;
   }

   public BigDecimal getFrozenBalance() {
      return this.frozenBalance;
   }

   public BigDecimal getLastSubsidyAmount() {
      return this.lastSubsidyAmount;
   }

   public LocalDateTime getLastSubsidyTime() {
      return this.lastSubsidyTime;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setAccId(final Long accId) {
      this.accId = accId;
   }

   public void setWalletId(final Integer walletId) {
      this.walletId = walletId;
   }

   public void setWalletBal(final BigDecimal walletBal) {
      this.walletBal = walletBal;
   }

   public void setLimitBalance(final BigDecimal limitBalance) {
      this.limitBalance = limitBalance;
   }

   public void setFrozenBalance(final BigDecimal frozenBalance) {
      this.frozenBalance = frozenBalance;
   }

   public void setLastSubsidyAmount(final BigDecimal lastSubsidyAmount) {
      this.lastSubsidyAmount = lastSubsidyAmount;
   }

   public void setLastSubsidyTime(final LocalDateTime lastSubsidyTime) {
      this.lastSubsidyTime = lastSubsidyTime;
   }
}
